org.eclipse.net4j.db

## Interface IDBConnectionProvider2

- All Superinterfaces:
    IDBConnectionProvider, IUserAware
  All Known Subinterfaces:
    IDBDatabase

      public interface IDBConnectionProvider2
      extends IDBConnectionProvider, IUserAware

  Provides a database `connection`, roughly comparable with a `data source`.
  Since:
    4.3
  Author:
    Eike Stepper

- - ### Method Summary

    - ### Methods inherited from interface org.eclipse.net4j.db.IDBConnectionProvider

      `getConnection`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

      `getUserID`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html